////////////////////////////////////////////////////////////////////////////////
// The following FIT Protocol software provided may be used with FIT protocol
// devices only and remains the copyrighted property of Dynastream Innovations Inc.
// The software is being provided on an "as-is" basis and as an accommodation,
// and therefore all warranties, representations, or guarantees of any kind
// (whether express, implied or statutory) including, without limitation,
// warranties of merchantability, non-infringement, or fitness for a particular
// purpose, are specifically disclaimed.
//
// Copyright 2016 Dynastream Innovations Inc.
////////////////////////////////////////////////////////////////////////////////
// ****WARNING****  This file is auto-generated!  Do NOT edit this file.
// Profile Version = 20.10Release
// Tag = production/akw/20.10.01-0-gb47cf29
////////////////////////////////////////////////////////////////////////////////


package com.garmin.fit;

import java.util.HashMap;
import java.util.Map;

public class ConnectivityCapabilities {
   public static final long BLUETOOTH = 0x00000001;
   public static final long BLUETOOTH_LE = 0x00000002;
   public static final long ANT = 0x00000004;
   public static final long ACTIVITY_UPLOAD = 0x00000008;
   public static final long COURSE_DOWNLOAD = 0x00000010;
   public static final long WORKOUT_DOWNLOAD = 0x00000020;
   public static final long LIVE_TRACK = 0x00000040;
   public static final long WEATHER_CONDITIONS = 0x00000080;
   public static final long WEATHER_ALERTS = 0x00000100;
   public static final long GPS_EPHEMERIS_DOWNLOAD = 0x00000200;
   public static final long EXPLICIT_ARCHIVE = 0x00000400;
   public static final long SETUP_INCOMPLETE = 0x00000800;
   public static final long CONTINUE_SYNC_AFTER_SOFTWARE_UPDATE = 0x00001000;
   public static final long CONNECT_IQ_APP_DOWNLOAD = 0x00002000;
   public static final long GOLF_COURSE_DOWNLOAD = 0x00004000;
   public static final long DEVICE_INITIATES_SYNC = 0x00008000; // Indicates device is in control of initiating all syncs
   public static final long CONNECT_IQ_WATCH_APP_DOWNLOAD = 0x00010000;
   public static final long CONNECT_IQ_WIDGET_DOWNLOAD = 0x00020000;
   public static final long CONNECT_IQ_WATCH_FACE_DOWNLOAD = 0x00040000;
   public static final long CONNECT_IQ_DATA_FIELD_DOWNLOAD = 0x00080000;
   public static final long CONNECT_IQ_APP_MANAGMENT = 0x00100000; // Device supports delete and reorder of apps via GCM
   public static final long SWING_SENSOR = 0x00200000;
   public static final long SWING_SENSOR_REMOTE = 0x00400000;
   public static final long INCIDENT_DETECTION = 0x00800000; // Device supports incident detection
   public static final long AUDIO_PROMPTS = 0x01000000;
   public static final long WIFI_VERIFICATION = 0x02000000; // Device supports reporting wifi verification via GCM
   public static final long TRUE_UP = 0x04000000; // Device supports True Up
   public static final long FIND_MY_WATCH = 0x08000000; // Device supports Find My Watch
   public static final long REMOTE_MANUAL_SYNC = 0x10000000;
   public static final long LIVE_TRACK_AUTO_START = 0x20000000; // Device supports LiveTrack auto start
   public static final long INVALID = Fit.UINT32Z_INVALID;

private static final Map<Integer, String> stringMap;

static {
    stringMap = new HashMap<Integer, String>();
    
    stringMap.put(0x00000001, "BLUETOOTH");
    stringMap.put(0x00000002, "BLUETOOTH_LE");
    stringMap.put(0x00000004, "ANT");
    stringMap.put(0x00000008, "ACTIVITY_UPLOAD");
    stringMap.put(0x00000010, "COURSE_DOWNLOAD");
    stringMap.put(0x00000020, "WORKOUT_DOWNLOAD");
    stringMap.put(0x00000040, "LIVE_TRACK");
    stringMap.put(0x00000080, "WEATHER_CONDITIONS");
    stringMap.put(0x00000100, "WEATHER_ALERTS");
    stringMap.put(0x00000200, "GPS_EPHEMERIS_DOWNLOAD");
    stringMap.put(0x00000400, "EXPLICIT_ARCHIVE");
    stringMap.put(0x00000800, "SETUP_INCOMPLETE");
    stringMap.put(0x00001000, "CONTINUE_SYNC_AFTER_SOFTWARE_UPDATE");
    stringMap.put(0x00002000, "CONNECT_IQ_APP_DOWNLOAD");
    stringMap.put(0x00004000, "GOLF_COURSE_DOWNLOAD");
    stringMap.put(0x00008000, "DEVICE_INITIATES_SYNC");
    stringMap.put(0x00010000, "CONNECT_IQ_WATCH_APP_DOWNLOAD");
    stringMap.put(0x00020000, "CONNECT_IQ_WIDGET_DOWNLOAD");
    stringMap.put(0x00040000, "CONNECT_IQ_WATCH_FACE_DOWNLOAD");
    stringMap.put(0x00080000, "CONNECT_IQ_DATA_FIELD_DOWNLOAD");
    stringMap.put(0x00100000, "CONNECT_IQ_APP_MANAGMENT");
    stringMap.put(0x00200000, "SWING_SENSOR");
    stringMap.put(0x00400000, "SWING_SENSOR_REMOTE");
    stringMap.put(0x00800000, "INCIDENT_DETECTION");
    stringMap.put(0x01000000, "AUDIO_PROMPTS");
    stringMap.put(0x02000000, "WIFI_VERIFICATION");
    stringMap.put(0x04000000, "TRUE_UP");
    stringMap.put(0x08000000, "FIND_MY_WATCH");
    stringMap.put(0x10000000, "REMOTE_MANUAL_SYNC");
    stringMap.put(0x20000000, "LIVE_TRACK_AUTO_START");
}






    /**
     * Retrieves the String Representation of the Value
     * @return The string representation of the value, or empty if unknown
     */
    public static String getStringFromValue( int value ) {
        if( stringMap.containsKey( value ) ) {
            return stringMap.get( value );
        }

        return "";
    }

}
