////////////////////////////////////////////////////////////////////////////////
// The following FIT Protocol software provided may be used with FIT protocol
// devices only and remains the copyrighted property of Dynastream Innovations Inc.
// The software is being provided on an "as-is" basis and as an accommodation,
// and therefore all warranties, representations, or guarantees of any kind
// (whether express, implied or statutory) including, without limitation,
// warranties of merchantability, non-infringement, or fitness for a particular
// purpose, are specifically disclaimed.
//
// Copyright 2016 Dynastream Innovations Inc.
////////////////////////////////////////////////////////////////////////////////
// ****WARNING****  This file is auto-generated!  Do NOT edit this file.
// Profile Version = 20.10Release
// Tag = production/akw/20.10.01-0-gb47cf29
////////////////////////////////////////////////////////////////////////////////


package com.garmin.fit;

import java.util.HashMap;
import java.util.Map;

public class LocalDateTime {
   public static final long MIN = 0x10000000; // if date_time is < 0x10000000 then it is system time (seconds from device power on)
   public static final long INVALID = Fit.UINT32_INVALID;

private static final Map<Integer, String> stringMap;

static {
    stringMap = new HashMap<Integer, String>();
    
    stringMap.put(0x10000000, "MIN");
}
   public static final long OFFSET = 631065600000l; // Offset between Garmin (FIT) time and Unix time in ms (Dec 31, 1989 - 00:00:00 January 1, 1970).



   private long timestamp;

    /**
     * Retrieves the String Representation of the Value
     * @return The string representation of the value, or empty if unknown
     */
    public static String getStringFromValue( int value ) {
        if( stringMap.containsKey( value ) ) {
            return stringMap.get( value );
        }

        return "";
    }
   public LocalDateTime(long timestamp) {
      this.timestamp = timestamp;
   }

   public LocalDateTime(java.util.Date date) {
      this.timestamp = (date.getTime() - OFFSET) / 1000;
   }

   public boolean equals(DateTime dateTime) {
      return (this.getTimestamp().equals(dateTime.getTimestamp()));
   }

   public void convertSystemTimeToLocal(long offset) {
      if (timestamp < MIN) {
         timestamp += offset;
      }
   }

   public Long getTimestamp() {
      return new Long(timestamp);
   }

   public java.util.Date getDate() {
      return new java.util.Date(timestamp * 1000 + OFFSET);
   }

   public String toString() {
      return getDate().toString();
   }

}
