////////////////////////////////////////////////////////////////////////////////
// The following FIT Protocol software provided may be used with FIT protocol
// devices only and remains the copyrighted property of Dynastream Innovations Inc.
// The software is being provided on an "as-is" basis and as an accommodation,
// and therefore all warranties, representations, or guarantees of any kind
// (whether express, implied or statutory) including, without limitation,
// warranties of merchantability, non-infringement, or fitness for a particular
// purpose, are specifically disclaimed.
//
// Copyright 2016 Dynastream Innovations Inc.
////////////////////////////////////////////////////////////////////////////////
// ****WARNING****  This file is auto-generated!  Do NOT edit this file.
// Profile Version = 20.10Release
// Tag = production/akw/20.10.01-0-gb47cf29
////////////////////////////////////////////////////////////////////////////////


package com.garmin.fit;

import java.util.HashMap;
import java.util.Map;

public class WorkoutCapabilities {
   public static final long INTERVAL = 0x00000001;
   public static final long CUSTOM = 0x00000002;
   public static final long FITNESS_EQUIPMENT = 0x00000004;
   public static final long FIRSTBEAT = 0x00000008;
   public static final long NEW_LEAF = 0x00000010;
   public static final long TCX = 0x00000020; // For backwards compatibility.  Watch should add missing id fields then clear flag.
   public static final long SPEED = 0x00000080; // Speed source required for workout step.
   public static final long HEART_RATE = 0x00000100; // Heart rate source required for workout step.
   public static final long DISTANCE = 0x00000200; // Distance source required for workout step.
   public static final long CADENCE = 0x00000400; // Cadence source required for workout step.
   public static final long POWER = 0x00000800; // Power source required for workout step.
   public static final long GRADE = 0x00001000; // Grade source required for workout step.
   public static final long RESISTANCE = 0x00002000; // Resistance source required for workout step.
   public static final long PROTECTED = 0x00004000;
   public static final long INVALID = Fit.UINT32Z_INVALID;

private static final Map<Integer, String> stringMap;

static {
    stringMap = new HashMap<Integer, String>();
    
    stringMap.put(0x00000001, "INTERVAL");
    stringMap.put(0x00000002, "CUSTOM");
    stringMap.put(0x00000004, "FITNESS_EQUIPMENT");
    stringMap.put(0x00000008, "FIRSTBEAT");
    stringMap.put(0x00000010, "NEW_LEAF");
    stringMap.put(0x00000020, "TCX");
    stringMap.put(0x00000080, "SPEED");
    stringMap.put(0x00000100, "HEART_RATE");
    stringMap.put(0x00000200, "DISTANCE");
    stringMap.put(0x00000400, "CADENCE");
    stringMap.put(0x00000800, "POWER");
    stringMap.put(0x00001000, "GRADE");
    stringMap.put(0x00002000, "RESISTANCE");
    stringMap.put(0x00004000, "PROTECTED");
}






    /**
     * Retrieves the String Representation of the Value
     * @return The string representation of the value, or empty if unknown
     */
    public static String getStringFromValue( int value ) {
        if( stringMap.containsKey( value ) ) {
            return stringMap.get( value );
        }

        return "";
    }

}
