////////////////////////////////////////////////////////////////////////////////
// The following FIT Protocol software provided may be used with FIT protocol
// devices only and remains the copyrighted property of Dynastream Innovations Inc.
// The software is being provided on an "as-is" basis and as an accommodation,
// and therefore all warranties, representations, or guarantees of any kind
// (whether express, implied or statutory) including, without limitation,
// warranties of merchantability, non-infringement, or fitness for a particular
// purpose, are specifically disclaimed.
//
// Copyright 2016 Dynastream Innovations Inc.
////////////////////////////////////////////////////////////////////////////////
// ****WARNING****  This file is auto-generated!  Do NOT edit this file.
// Profile Version = 20.10Release
// Tag = production/akw/20.10.01-0-gb47cf29
////////////////////////////////////////////////////////////////////////////////


package com.garmin.fit;
import java.math.BigInteger;


public class WorkoutMesg extends Mesg {

   
   public static final int SportFieldNum = 4;
   
   public static final int CapabilitiesFieldNum = 5;
   
   public static final int NumValidStepsFieldNum = 6;
   
   public static final int WktNameFieldNum = 8;
   

   protected static final  Mesg workoutMesg;
   static {
      // workout
      workoutMesg = new Mesg("workout", MesgNum.WORKOUT);
      workoutMesg.addField(new Field("sport", SportFieldNum, 0, 1, 0, "", false, Profile.Type.SPORT));
      
      workoutMesg.addField(new Field("capabilities", CapabilitiesFieldNum, 140, 1, 0, "", false, Profile.Type.WORKOUT_CAPABILITIES));
      
      workoutMesg.addField(new Field("num_valid_steps", NumValidStepsFieldNum, 132, 1, 0, "", false, Profile.Type.UINT16));
      
      workoutMesg.addField(new Field("wkt_name", WktNameFieldNum, 7, 1, 0, "", false, Profile.Type.STRING));
      
   }

   public WorkoutMesg() {
      super(Factory.createMesg(MesgNum.WORKOUT));
   }

   public WorkoutMesg(final Mesg mesg) {
      super(mesg);
   }


   /**
    * Get sport field
    *
    * @return sport
    */
   public Sport getSport() {
      Short value = getFieldShortValue(4, 0, Fit.SUBFIELD_INDEX_MAIN_FIELD);
      if (value == null)
         return null;
      return Sport.getByValue(value);
   }

   /**
    * Set sport field
    *
    * @param sport
    */
   public void setSport(Sport sport) {
      setFieldValue(4, 0, sport.value, Fit.SUBFIELD_INDEX_MAIN_FIELD);
   }

   /**
    * Get capabilities field
    *
    * @return capabilities
    */
   public Long getCapabilities() {
      return getFieldLongValue(5, 0, Fit.SUBFIELD_INDEX_MAIN_FIELD);
   }

   /**
    * Set capabilities field
    *
    * @param capabilities
    */
   public void setCapabilities(Long capabilities) {
      setFieldValue(5, 0, capabilities, Fit.SUBFIELD_INDEX_MAIN_FIELD);
   }

   /**
    * Get num_valid_steps field
    * Comment: number of valid steps
    *
    * @return num_valid_steps
    */
   public Integer getNumValidSteps() {
      return getFieldIntegerValue(6, 0, Fit.SUBFIELD_INDEX_MAIN_FIELD);
   }

   /**
    * Set num_valid_steps field
    * Comment: number of valid steps
    *
    * @param numValidSteps
    */
   public void setNumValidSteps(Integer numValidSteps) {
      setFieldValue(6, 0, numValidSteps, Fit.SUBFIELD_INDEX_MAIN_FIELD);
   }

   /**
    * Get wkt_name field
    *
    * @return wkt_name
    */
   public String getWktName() {
      return getFieldStringValue(8, 0, Fit.SUBFIELD_INDEX_MAIN_FIELD);
   }

   /**
    * Set wkt_name field
    *
    * @param wktName
    */
   public void setWktName(String wktName) {
      setFieldValue(8, 0, wktName, Fit.SUBFIELD_INDEX_MAIN_FIELD);
   }

}
