#!/bin/bash

clear
echo "For the serial communication with the CicloSport Cycling Computer under Linux"
echo "the binary RXTX library must be enabled to write lock files in the dictionary:"
echo "/user/lock."
echo "This script sets the rights of access for this."
echo "You must enter for this the root password."
echo " "
echo "Go ahead? [y]/n"

read -n 1 ret

if [ "$ret" == "n" -o "$ret" == "N" ]
then
	echo 'Script terminated!'
	exit 1;
fi

echo 'Processed commands:'
if [ ! -d /var/lock ]
then
	sudo mkdir /var/lock
	if [ $? -eq '1' ]
	then
		echo 'Script terminated!'
		exit 1;
	fi
	echo 'mkdir /var/lock'
fi

sudo chgrp uucp /var/lock
if [ $? -eq '1' ]
then
	echo 'Script terminated!'
	exit 1;
fi
sudo chmod 775 /var/lock
echo 'chgrp uucp /var/lock'
echo 'chmod 775 /var/lock'


ret="`groups | grep 'uucp'`"

etcissue=$(cat /etc/issue)
if test -z "$ret"
then
	if echo "$etcissue" | grep -q "SUSE" 
	then
		sudo /usr/sbin/groupmod -A $(whoami) uucp   ## für Suse
		echo "Suse"
	elif echo "$etcissue" | grep -q "Ubuntu"
	then
		sudo /usr/sbin/adduser $(whoami) uucp       ## für Ubuntu
		echo "Ubuntu"
	elif echo "$etcissue" | grep -q "Fedora"
	then
		sudo /usr/sbin/usermod -aG uucp $(whoami)   ## für Fedora
		echo "Fedora"
	fi
	echo 'user '$(whoami)' added to group uucp'
	echo 'Please logoff and logon the user to activate the changes!'
fi

echo "Please push any key for closing."
read -n 1

exit 0;